> ## Documentation Index
> Fetch the complete documentation index at: https://docs.8dx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get api ordersbymakerhistory

> GET orders by maker



## OpenAPI

````yaml /openapi.yaml get /api/{blockchain}/orders/byMaker/history/{maker}
openapi: 3.1.0
info:
  title: swap-8dx
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://swap.ggp.gg
  - url: https://8dx.io
security: []
tags:
  - name: swap
    description: Swap API endpoints
  - name: approve
    description: Approve (Permit) API endpoints
  - name: explorer
    description: Explorer API endpoints
  - name: order
    description: Limit Order API endpoints
  - name: healthcheck
    description: Health Check API endpoints
paths:
  /api/{blockchain}/orders/byMaker/history/{maker}:
    get:
      tags:
        - order
      description: GET orders by maker
      operationId: get_orders_history_by_maker
      parameters:
        - name: blockchain
          in: path
          required: true
          schema:
            type: string
            enum:
              - ethereum
              - bsc
              - arbitrum
        - name: maker
          in: path
          required: true
          schema:
            type: string
          example: '0x0000000000000000000000000000000000000000'
        - name: limit
          in: query
          description: Number of items to return
          required: true
          schema:
            type: integer
            minimum: 0
          style: form
        - name: offset
          in: query
          description: Number of items to skip
          required: false
          schema:
            type: integer
            minimum: 0
          style: form
        - name: cursor
          in: query
          description: Cursor in base64
          required: false
          schema:
            type: string
          style: form
        - name: sort
          in: query
          description: Ask/Desk sortring
          required: false
          schema:
            $ref: 8667fe77-08f2-4efd-a3c9-23b81380e8fe
          style: form
      responses:
        '200':
          description: Maker order history with cursor in base64 format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrdersHistoryResponse'
        '400':
          description: Bad request error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                BadRequest:
                  summary: Bad request
                  value:
                    code: 400
                    error: string
        '408':
          description: Request timeout error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                RequestTimeout:
                  summary: Request timeout
                  value:
                    code: 408
                    error: string
        '500':
          description: Internal server error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Internal:
                  summary: Internal
                  value:
                    code: 500
                    error: string
components:
  schemas:
    OrdersHistoryResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/OrderHistoryEntryView'
        nextCursor:
          type:
            - string
            - 'null'
          description: Cursor in base64
    ErrorResponse:
      type: object
      required:
        - error
        - code
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        error:
          type: string
    OrderHistoryEntryView:
      type: object
      required:
        - orderHash
        - maker
        - makerSrcOrToken
        - takerSrcOrToken
        - makerToken
        - takerToken
        - makingAmount
        - takingAmount
        - makerTraits
        - parsedMakerTraits
        - orderType
        - createdAt
        - status
        - filledTxHashes
      properties:
        cancelledAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Timestamp when the order was cancelled, if applicable
          minimum: 0
        createdAt:
          type: integer
          format: int64
          description: Timestamp when the order was created (Unix time in seconds)
          minimum: 0
        extension:
          type:
            - string
            - 'null'
        filledAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Timestamp when the order was completely filled, if applicable
          minimum: 0
        filledTxHashes:
          type: array
          items:
            type: string
          description: |-
            List of transaction hashes where the order was filled
            (partial or full executions)
        maker:
          type: string
          description: Maker wallet or contract address
        makerSrcOrToken:
          type: string
          description: Address of the maker asset (ERC20 token contract)
        makerToken:
          type: string
          description: ERC20 token contract
        makerTraits:
          type: string
          description: Encoded maker traits represented as a 256-bit value
        makingAmount:
          type: string
          description: >-
            Amount of the maker token to swap (in token's smallest unit, e.g.,
            wei for ETH)
        meta:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OrderHistoryMeta'
              description: Deserialized tokens metadata
        orderHash:
          type: string
          description: Order hash (id in bytes32)
        orderType:
          $ref: '#/components/schemas/OrderType'
          description: Order type
        parsedMakerTraits:
          $ref: '#/components/schemas/ParsedMakerTraitsView'
          description: Parsed representation of maker traits with readable fields
        recipient:
          type:
            - string
            - 'null'
          description: Recipient address (maker or contract)
        status:
          type: string
          description: Current order status
        takerSrcOrToken:
          type: string
          description: Address of the taker asset (ERC20 token contract)
        takerToken:
          type: string
          description: ERC20 token contract
        takingAmount:
          type: string
          description: >-
            Amount of the taker token to receive (in token's smallest unit,
            e.g., wei for ETH)
    OrderHistoryMeta:
      type: object
      properties:
        makerToken:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TokenRow'
        takerToken:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TokenRow'
    OrderType:
      type: string
      enum:
        - limit
        - twap
    ParsedMakerTraitsView:
      type: object
      required:
        - allowedSenderSuffix
        - expiration
        - nonceOrEpoch
        - series
        - allowPartialFills
        - allowMultipleFills
        - needPreInteractionCall
        - needPostInteractionCall
        - needCheckEpochManager
        - hasExtension
        - usePermit2
        - unwrapWeth
      properties:
        allowMultipleFills:
          type: boolean
        allowPartialFills:
          type: boolean
        allowedSenderSuffix:
          type: string
        expiration:
          type: integer
          format: int64
          minimum: 0
        hasExtension:
          type: boolean
        needCheckEpochManager:
          type: boolean
        needPostInteractionCall:
          type: boolean
        needPreInteractionCall:
          type: boolean
        nonceOrEpoch:
          type: integer
          format: int64
          minimum: 0
        series:
          type: integer
          format: int64
          minimum: 0
        unwrapWeth:
          type: boolean
        usePermit2:
          type: boolean
    TokenRow:
      type: object
      required:
        - blockchain
        - address
        - decimals
        - price
        - fdv
        - createdAt
        - updatedAt
      properties:
        address:
          type: string
        blockchain:
          $ref: '#/components/schemas/Blockchain'
        createdAt:
          type: string
          format: date
        decimals:
          type: integer
          format: int32
        fdv:
          type: string
        name:
          type:
            - string
            - 'null'
        price:
          type: string
        symbol:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
          format: date
        uri:
          type:
            - string
            - 'null'
    Blockchain:
      type: string
      enum:
        - ethereum
        - bsc
        - arbitrum

````